<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_activity_panel.php
| CVS Version: 1.00
| Author: Shedrock / Xandra
| Adapted for V7 by HobbyMan
| Web: http://www.hobbysites.net/
+--------------------------------------------------------+
| User Activity Panel
| Version: 1.02
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Url: http://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."user_activity_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_activity_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."user_activity_panel/locale/English.php"; }

/********************************************************
* Code from Online Users Panel
********************************************************/
$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'"));
if (dbrows($result)) {
	$result = dbquery("UPDATE ".DB_ONLINE." SET online_lastactive='".time()."' WHERE online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'")."");
} else {
	$result = dbquery("INSERT INTO ".DB_ONLINE." (online_user, online_ip, online_lastactive) VALUES ('".($userdata['user_level'] != 0 ? $userdata['user_id'] : "0")."', '".USER_IP."', '".time()."')");
}
$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_lastactive<".(time()-3600)."");
/********************************************************
* End code from Online Users Panel
********************************************************/

/*******************************************************************
* Set minimum and maximum number of users you want displayed on each level
*******************************************************************/


$min = 10;	// minimum visible users in first level.
$max = 10;	// maximum number of users in second level (hidden).
$colors = array(
	103 => "#008800",	// User name color for Super Admins
	102 => "#006600",	// User name color for Admins
	101 => "#0080C0"	// User name color for members
);

/******************************************************************/

echo "<script type='text/javascript'>
<!--
function toggle_lsop() {
	var smu = document.getElementById('show_more_users');
	var smutxt = document.getElementById('show_more_users_text');
	if (smu.style.display == 'none') {
		smu.style.display = 'block';
		smutxt.innerHTML = '".$locale['LSUP_010']."';
	} else {
		smu.style.display = 'none';
		smutxt.innerHTML = '".$locale['LSUP_009']."';
	}
}
//-->
</script>";


openside($locale['LSUP_000']);

/********************************************************
* Code from Online Users Panel
********************************************************/
$result = dbquery(
	"SELECT ton.*, tu.user_id,user_name FROM ".DB_ONLINE." ton
	LEFT JOIN ".DB_USERS." tu ON ton.online_user=tu.user_id"
);
$guests = 0; $members = array();
while ($data = dbarray($result)) {
	if ($data['online_user'] == "0") {
		$guests++;
	} else {
		array_push($members, array($data['user_id'], $data['user_name']));
	}
}
echo THEME_BULLET." ".$locale['LSUP_021'].": ".$guests."<br />\n";
echo THEME_BULLET." ".$locale['LSUP_022'].": ".count($members)."<br />\n";
if (count($members)) {
	$i = 1;
	while (list($key, $member) = each($members)) {
		echo "<a href='".BASEDIR."profile.php?lookup=".$member[0]."' class='side'>".$member[1]."</a> <img src='".INFUSIONS."user_activity_panel/images/online.gif' alt='Online Now'>";
		if ($i != count($members)) { echo ",\n"; } else { echo "<br />\n"; }
		$i++;
	}
}
echo "<br />\n";
if (iADMIN && checkrights("M") && $settings['admin_activation'] == "1") {
	echo THEME_BULLET." <a href='".ADMIN."members.php".$aidlink."&amp;status=2' class='side'>".$locale['LSUP_025']."</a>";
	echo ": ".dbcount("(user_id)", DB_USERS, "user_status='2'")."<br />\n";
}
$data = dbarray(dbquery("SELECT user_id,user_name FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
//echo THEME_BULLET." ".$locale['LSUP_026'].": <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a>\n";
echo "<hr><strong>".$locale['LSUP_020']."</strong><br /><br />\n";
/********************************************************
* End code from Online Users Panel
********************************************************/


echo "<table cellpadding='0' cellspacing='0' width='100%'  border='0' class=''>";
$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT ".($min + $max));
if (dbrows($result) != 0) {
	$user_count = 0;
	while ($data = dbarray($result)) {
if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']))  {
   $img = "<img src='".BASEDIR."images/avatars/".$data['user_avatar']."'  title='".$data['user_name']."' alt='".$data['user_name']."' style='border:0' align='left' width='30px' />"; 
   } 
     else { $img = "<img src='".BASEDIR."images/noav.gif' title='".$locale['LSUP_012']."' style='border:0' align='left' width='30px' />";
   }

/*******************************************************************
* Begin show more feature.
********************************************************************/

		if ($user_count == $min) {
			echo "</table>
<br />
<div align='center'>
<img alt='' border='0' src='".THEME."images/bullet.gif'>&nbsp;
<a href=\"javascript:void(0)\" onClick=\"toggle_lsop();\"><span id='show_more_users_text'>".$locale['LSUP_009']."</span></a>&nbsp;
<img alt='' border='0' src='".THEME."images/bullet.gif'>
</div>
<div id='show_more_users' style='display: none;'>
<br />
<table cellpadding='0' cellspacing='0' width='100%'  border='0' class=''>";
			}

/*******************************************************************
* End show more feature.
********************************************************************/

		// Check if user has ever logged in
		if ($data['user_lastvisit'] != 0) {
			$lastseen = time() - $data['user_lastvisit'];
			$iW=sprintf("%2d",floor($lastseen/604800));
			$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
			$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
			$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
			$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
			if ($lastseen < 60){
				$lastseen="".$locale['LSUP_001']." <img src='".INFUSIONS."user_activity_panel/images/online.gif' alt='Online Now' />";
			} elseif ($lastseen < 3600){
				$lastseen="".$locale['LSUP_002']." <img src='".INFUSIONS."user_activity_panel/images/onfline.gif' alt='Offline' />";
			} elseif ($iW > 0){
				if ($iW == 1) {
					$Text = $locale['LSUP_003']." <img src='".INFUSIONS."user_activity_panel/images/offline.gif' alt='Offline' />";
				} else {
					$Text = $locale['LSUP_004']." <img src='".INFUSIONS."user_activity_panel/images/offline.gif' alt='Offline' />";
				}
				$lastseen = "".$iW." ".$Text."";
			} elseif ($iD > 0){
				if ($iD == 1) {
					$Text = $locale['LSUP_005']." <img src='".INFUSIONS."user_activity_panel/images/offline.gif' alt='Offline' />";

				} else {
					$Text = $locale['LSUP_006']." <img src='".INFUSIONS."user_activity_panel/images/offline.gif' alt='Offline' />";

				}
				$lastseen = "".$iD." ".$Text."";
			} else {
				$lastseen = $iH.":".$iM.":".$iS;
			}
		} else {
			$lastseen = $locale['LSUP_007'];
		}
		echo "<tr>
<td class='small' align='left' valign='bottom'>$img</td><td class='small2' align='left' valign='middle'>
<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><font color='".$colors[$data['user_level']]."' title='".$data['user_name']." | ".getuserlevel($data['user_level'] ? $data['user_level'] : $locale['LSUP_008'], 20)."'>".trimlink ($data['user_name'], 12)."</font></a><br />
".$locale['LSUP_011']."<br />".showdate("%m/%d/%y", $data['user_joined'])."</td>
<td class='small2' align='right' valign='bottom'>".$lastseen."</td>
</tr>";
		$user_count ++;
	}
}
echo "</table>";
if ($user_count > $min) { echo "</div>\n"; }

closeside();
?>